/* 
 * Copyright (c) 2009, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * */

var wizardVersion = "1.0.0";

var targetList = ['ti.targets.C64P', 'ti.targets.C674'];

var INIT_MESSAGE = "Codec Engine GenCodecPkg Wizard v" + wizardVersion 
+ "\nTexas Instruments";

/* BANNERs are shown at the top of each panel */
/* INSTRUCTIONs are shown from Help->Instructions menu */

var INSTRUCTIONS0 = 
'A codec package can be created for an XDM algorithm in 3 ways:\n\n'
+'By opening a .genalg file that was saved with th XDM GenAlg wizard. '
+'This will create a codec package that uses the algorithm package specified in the .genalg file. '
+'The XDM GenAlg wizard is included in XDAIS 6.25 and above.\n\n'
+'By selecting a library that implements an XDM interface.'
+'This creates a codec package that uses the algorithm library. The library file is copied '
+'into the lib subdirectoy of the base directory of the codec package.\n\n'
+'By entering the XDM algorithm information manually. '
+'This will create a codec package that contains a basic algorithm implemention, including source code';


var ABOUT_MESSAGE = INIT_MESSAGE;

var BANNER0 = "Select the method in which XDM algorithm information is obtained. "
+"In some cases, specify a valid XDAIS Install Dir and C6000 TI 'cgtools' Dir.";

/* .genalg file pane */
var BANNER1_1 =  "Use File->Open to open a .genalg file.  "
+"Verify/modify the Codec Package Name and Output Repository fields and press "
+"Finish.";
var INSTRUCTIONS1_1 = 
'Use File->Open to open a .genalg file. This will populate '
+'Module, Vendor, Interface, XDM Algorithm Package Name and Target fields.\n\n'
+'Fields that can be modified:\n\n'
+'Codec Package Name: The name of codec package that will be created.\n\n'
+'Output Repository: The repository to create the codec package in.'

/* library file pane */
var BANNER1_2 = "Use File->Open or select the 'Library...' button to open a library file. "
+"Verify/modify the alg's CE Package Name, Base Interface and Output Repository, and press "
+"Finish.";

var INSTRUCTIONS1_2 = 
"Use File->Open or select the 'Library...' button to open a library file. This will populate "
+'Module, Vendor and Interface and Suffix fields.\n\n'
+'Fields that can be modified:\n\n'
+"My alg's CE Package Name: The name of codec package that will be generated.\n\n"
+'Base Interface: The XDM interface that the library implements.\n\n'
+'Output Repository: The repository to create the codec package in.'

/* manual data entry pane */
var BANNER1_3 = "Verify/modify the algorithm and package information. Specify a valid Output"
+" Repository and press Finish."

var INSTRUCTIONS1_3 =
'Fields that can be modified:\n\n'
+'Module: The name of the algorithm module\n\n'
+'Vendor: The name of the algorithm vendor\n\n'
+'Interface: Has the form I<Module>.  This field should be automatically '
+'filled after naming the module.\n\n'
+'Base Interface: The XDM interface that is being implemented\n\n'
+'Package Name: Edit this field to specify the codec package\n\n'
+'Target: Select the build target\n\n'
+'Output Repository: The repository to create the package in\n\n';

var OPEN_GENALG_HOVER = 'Create a codec package that uses the algorithm package specified in a .genalg file';
var OPEN_LIB_HOVER = 'Create a codec package that uses an algorithm library file';
var ENTER_INFO_HOVER = 'Create a codec package that contains a basic algorithm implemention, including source code';

/* hover text for field labels in .genalg file pane */
var GENALG_MODULE_HOVER = 'The name of the algorithm module';
var GENALG_VENDOR_HOVER = 'The name of the algorithm vendor';
var GENALG_INTERFACE_HOVER = 'The name of the algorithm interface.\nHas the form I<Module>';
var GENALG_XDM_ALG_PKG_HOVER = 'The name of the algorithm package';
var GENALG_CODEC_PKG_HOVER = 'The name of the codec package to create';
var GENALG_TARGET = "The algorithm's build target";

/* hover text for field labels in library file pane */
var LIB_MODULE_HOVER = GENALG_MODULE_HOVER;
var LIB_VENDOR_HOVER = GENALG_VENDOR_HOVER
var LIB_INTERFACE_HOVER = GENALG_INTERFACE_HOVER;
var LIB_SUFFIX_HOVER = "The suffix that identifies the algorithm's build target";
var LIB_ALGS_CE_PKG = GENALG_CODEC_PKG_HOVER;
var LIB_BASE_INTERFACE = 'The XDM interface that the algorithm implements';

/* hover text for field labels in manual data entry pane */
var ENTER_MODULE_HOVER = GENALG_MODULE_HOVER;
var ENTER_VENDOR_HOVER = GENALG_VENDOR_HOVER
var ENTER_INTERFACE_HOVER = GENALG_INTERFACE_HOVER;
var ENTER_BASE_INTERFACE_HOVER = LIB_BASE_INTERFACE;
var ENTER_PACKAGE_NAME_HOVER = 'The name of the package to create';
var ENTER_TARGET_HOVER = GENALG_TARGET;
/*
 *  @(#) ti.sdo.ce.wizards.gencodecpkg; 1, 0, 0, 0,13; 11-18-2009 14:14:15; /db/atree/library/trees/ce/ce-o05x/src/
 */

